package com.bytedance.ies.ugc.aweme.commercialize.splash.topview;

import X.9Ft;
import X.9Fx;
import X.9GB;
import X.TSt;
import android.app.Activity;
import android.content.Context;
import android.graphics.drawable.Drawable;
import com.bytedance.covode.number.Covode;
import java.util.List;

public class SplashBgInflate implements 9GB {
    public Drawable LIZ;

    static {
        Covode.recordClassIndex(30884);
    }

    public final Class<? extends Activity> LIZ() {
        return null;
    }

    public boolean meetTrigger() {
        return true;
    }

    public String prefix() {
        return "inflate_";
    }

    public void run(Context context) {
    }

    public int targetProcess() {
        return 1048575;
    }

    public List triggerOtherLegoComponents() {
        return null;
    }

    public 9Fx scenesType() {
        return 9Fx.DEFAULT;
    }

    public 9Ft triggerType() {
        return 9Ft.INFLATE;
    }

    public String key() {
        return getClass().getSimpleName();
    }

    public final Drawable LIZ(Context context) {
        Drawable drawable = this.LIZ;
        if (drawable != null) {
            this.LIZ = null;
            return drawable;
        }
        try {
            return context.getResources().getDrawable(2131233983);
        } catch (Exception e) {
            TSt.LIZ(e);
            return null;
        }
    }

    public final void LIZ(Context context, Activity activity) {
        try {
            this.LIZ = context.getResources().getDrawable(2131233983);
        } catch (Exception e) {
            TSt.LIZ(e);
        }
    }
}
